Package com.smartgwt.client.types

# Enum NullAccessType

java.lang.Object
java.lang.Enum<NullAccessType>
com.smartgwt.client.types.NullAccessType

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<NullAccessType>`, `Constable`

public enum NullAccessType extends Enum<NullAccessType> implements ValueEnum
The possible access types for records with a null `ownerIdField` (only applicable if `ownerIdField` is specified)

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EDIT`
  Users are allowed read, update and delete access to records with a null `ownerIdField`.
  `NONE`
  The default value, means that users have no access to records with a null `ownerIdField`.
  `VIEW`
  Users are allowed read-only access to records with a null `ownerIdField`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static NullAccessType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static NullAccessType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final NullAccessType NONE
    The default value, means that users have no access to records with a null `ownerIdField`. In this case, users can only see their own records (ie, those where the `ownerIdField` matches the currently authenticaed user's id)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

  - ### VIEW

    public static final NullAccessType VIEW
    Users are allowed read-only access to records with a null `ownerIdField`. In this case, users can see records with a null owner as well as their own records.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "view".

  - ### EDIT

    public static final NullAccessType EDIT
    Users are allowed read, update and delete access to records with a null `ownerIdField`. In this case, users can see and fully manage records with a null owner, as well as their own records.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "edit".

- ## Method Details

  - ### values

    public static NullAccessType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static NullAccessType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`